Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

access to mewe.com via linux.ubuntu & firfox

  • 1 reply
  • 0 have this problem
  • 19 views
  • Last reply by cor-el

more options

I use Linux / ubuntu , with firefox ..when I tried to connect to my profile at mewe.com i got this..

" Your browser is not supported.

We cannot provide a good experience to your browser. To use this site, please upgrade to the latest version of Chrome, Firefox, Safari, Edge or some other modern browser."

i dont want and have had problems with chrome./.. so can u help, please?

I use Linux / ubuntu , with firefox ..when I tried to connect to my profile at mewe.com i got this.. " Your browser is not supported. We cannot provide a good experience to your browser. To use this site, please upgrade to the latest version of Chrome, Firefox, Safari, Edge or some other modern browser." i dont want and have had problems with chrome./.. so can u help, please?

All Replies (1)

more options

The user agent in the System Details shows you are using a very old Firefox 64.00 version.

  • Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:64.0) Gecko/20100101 Firefox/64.0

You might be using a Linux distro that has reached EOL and no longer receives updates.

Verify that you meet the System Requirements (GTK+ and GLib) for the current Firefox release.

You can find the full installer of the current Firefox release (111.0) in all languages and all operating systems here: